Loading...
Searching...
No Matches
BALL::MMFF94AtomTypeEquivalences Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94Parameters.h>`

Inheritance diagram for BALL::MMFF94AtomTypeEquivalences:

## Public Member Functions

| MMFF94AtomTypeEquivalences ()
| MMFF94AtomTypeEquivalences (const MMFF94AtomTypeEquivalences &to_copy)
| ~MMFF94AtomTypeEquivalences ()
void | clear ()
| Clear method.
Index | getEquivalence (Position original, Position number) const
Public Member Functions inherited from BALL::MMFF94ParametersBase
| MMFF94ParametersBase ()
| Default constructor.
virtual | ~MMFF94ParametersBase ()
| Destructor.
const MMFF94ParametersBase & | operator= (const MMFF94ParametersBase &)
| Assignment operator.
bool | isInitialized ()
bool | readParameters (Parameters &p, const String &section)
void | setEquivalences (const MMFF94AtomTypeEquivalences &equi)

## Protected Member Functions

virtual bool | setup_ (const std::vector< std::vector< String > > &)

## Protected Attributes

std::vector< std::vector< Position > > | equivalences_
std::vector< String > | names_
std::vector< bool > | exists_
Protected Attributes inherited from BALL::MMFF94ParametersBase
bool | is_initialized_
Size | number_expected_fields_
const MMFF94AtomTypeEquivalences * | equiv_

## Detailed Description

MMFF94 equivalences for atom types (see MMFFDEF.PAR)

Definition at line 83 of file MMFF94Parameters.h.

## Constructor & Destructor Documentation

## MMFF94AtomTypeEquivalences() [1/2]

BALL::MMFF94AtomTypeEquivalences::MMFF94AtomTypeEquivalences | ( |  | ) |

## MMFF94AtomTypeEquivalences() [2/2]

BALL::MMFF94AtomTypeEquivalences::MMFF94AtomTypeEquivalences | ( | const MMFF94AtomTypeEquivalences & | to_copy | ) |

## ~MMFF94AtomTypeEquivalences()

BALL::MMFF94AtomTypeEquivalences::~MMFF94AtomTypeEquivalences | ( |  | ) |

## Member Function Documentation

## clear()

void BALL::MMFF94AtomTypeEquivalences::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::MMFF94ParametersBase.

## getEquivalence()

Index BALL::MMFF94AtomTypeEquivalences::getEquivalence | ( | Position | original,
|  | Position | number ) const

Get an equivalence atom type for the given atom type.

Parameters

  number | between 1 and 4, 4 is the most general equivalence

Returns
  Index -1 if no equivalence found

## setup_()

virtual bool BALL::MMFF94AtomTypeEquivalences::setup_ | ( | const std::vector< std::vector< String > > & |  | ) |

protected virtual

Reimplemented from BALL::MMFF94ParametersBase.

## Member Data Documentation

## equivalences_

std::vector<std::vector<Position> > BALL::MMFF94AtomTypeEquivalences::equivalences_

protected

Definition at line 110 of file MMFF94Parameters.h.

## exists_

std::vector<bool> BALL::MMFF94AtomTypeEquivalences::exists_

protected

Definition at line 112 of file MMFF94Parameters.h.

## names_

std::vector<String> BALL::MMFF94AtomTypeEquivalences::names_

protected

Definition at line 111 of file MMFF94Parameters.h.